package io.gmss.fiscad.implementations.infocad.metier;

import io.gmss.fiscad.entities.infocad.metier.ActeurConcerne;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import io.gmss.fiscad.interfaces.infocad.metier.ActeurConcerneService;
import io.gmss.fiscad.repositories.infocad.metier.ActeurConcerneRepository;
import lombok.RequiredArgsConstructor;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

@Service
@RequiredArgsConstructor
public class ActeurConcerneServiceImpl implements ActeurConcerneService {
    private final ActeurConcerneRepository acteurConcerneRepository;

//    public ActeurConcerneServiceImpl(ActeurConcerneRepository acteurConcerneRepository) {
//        this.acteurConcerneRepository = acteurConcerneRepository;
//    }

    @Override
    public ActeurConcerne createActeurConcerne(ActeurConcerne acteurConcerne) throws BadRequestException {
        return null;
    }

    @Override
    public ActeurConcerne updateActeurConcerne(Long id, ActeurConcerne acteurConcerne) throws NotFoundException {
        return null;
    }

    @Override
    public void deleteActeurConcerne(Long id) throws NotFoundException {

    }

    @Override
    public Page<ActeurConcerne> getActeurConcerneList(Pageable pageable) {
        return null;
    }

    @Override
    public List<ActeurConcerne> getActeurConcerneList() {
        return null;
    }

    @Override
    public Optional<ActeurConcerne> getActeurConcerneById(Long id) {
        return acteurConcerneRepository.findById(id);
    }
}

